Skip to main content
Vaults

List Vaults

Forward API reference.

Description

Lists Vaults visible to the current account, with pagination and name search.

Path

GET /api/v1/forward/vaults

Request headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT or SAT>

Query parameters

ParameterTypeRequiredDescription
limitintegerNoPage size, maximum 100.
pagestringNoPagination cursor (recommended), taken from next_page in the previous response. Mutually exclusive with after_id and before_id.
after_idstringNoForward pagination cursor. Mutually exclusive with page and before_id.
before_idstringNoBackward pagination cursor. Mutually exclusive with page and after_id.
namestringNoSearch by display_name.

Example request

curl -X GET "https://api.qoder.com/api/v1/forward/vaults" \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

Example response

{
  "data": [
    {
      "id": "vault_xxx",
      "type": "vault",
      "display_name": "mcp-vault",
      "metadata": {
        "source": "console"
      },
      "created_at": "2026-07-23T10:00:00Z",
      "updated_at": "2026-07-23T10:00:00Z",
      "identity_id": null
    }
  ],
  "first_id": "vault_xxx",
  "last_id": "vault_xxx",
  "has_more": false,
  "next_page": null
}

Empty-list response

{
  "data": [],
  "first_id": null,
  "last_id": null,
  "has_more": false,
  "next_page": null
}

Response fields

Each item in the response data array is a Vault object. See List pagination fields for pagination fields.

Errors

HTTPTypeTrigger
400invalid_request_errorThe request body, path parameters, or query parameters are invalid.
401authentication_errorThe authentication token is missing or invalid.
403permission_errorThe caller cannot access this resource.
500/502/503api_errorForward or a dependent service failed.